LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Variables
com::sun::star::i18n::TransliterationModulesExtra Constant Group Reference

Extra transliteration module enumeration to use with XTransliteration::loadModule() More...

## Variables
const short | SENTENCE_CASE = 200
| The first character of the sentence is put in upper case. More...
const short | TITLE_CASE = 201
| The first character of the word is put in upper case. More...
const short | TOGGLE_CASE = 202
| All characters of the word are to change their case from small letters to capital letters and vice versa. More...
const long | ignoreDiacritics_CTL = 0x40000000
| because we cannot extend TransliterationModule we used TranslationModuleExtra and it will act the same way More...
const long | END_OF_MODULE = 0

## Detailed Description

Extra transliteration module enumeration to use with XTransliteration::loadModule()

The values used in this group need to be different from the ones in TransliterationModules and TransliterationModulesNew!

## Variable Documentation

const long END_OF_MODULE = 0

const long ignoreDiacritics_CTL = 0x40000000

because we cannot extend TransliterationModule we used TranslationModuleExtra and it will act the same way

const short SENTENCE_CASE = 200

The first character of the sentence is put in upper case.

const short TITLE_CASE = 201

The first character of the word is put in upper case.

This one is part

const short TOGGLE_CASE = 202

All characters of the word are to change their case from small letters to capital letters and vice versa.